Create new Notion connection
curl --request POST \
--url https://api.synci.io/api/v1/destinations/notion/connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.synci.io/api/v1/destinations/notion/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.synci.io/api/v1/destinations/notion/connections"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synci.io/api/v1/destinations/notion/connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.synci.io/api/v1/destinations/notion/connections"
payload := strings.NewReader("{\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Connection created. Follow the URL to start the authentication process with Notion.",
"data": {
"auth_url": "<string>",
"notion_connection": {
"id": "<string>",
"name": "<string>",
"enabled": "<string>",
"workspace_id": "<string>",
"workspace_name": "<string>",
"workspace_icon": "<string>",
"owner_email": "<string>",
"duplicated_template_id": "<string>",
"last_synced_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"auth_url": "<string>",
"databases": [
{
"id": "<string>",
"connection_id": "<string>",
"name": "<string>",
"title": "<string>",
"database_id": "<string>",
"data_source_id": "<string>",
"database_url": "<string>",
"parent_page_id": "<string>",
"parent_page_title": "<string>",
"is_synci_managed": "<string>",
"layout": "<string>",
"header_config": "<string>",
"property_map": "<string>",
"accounts_database_id": "<string>",
"categories_database_id": "<string>",
"months_database_id": "<string>",
"balance_history_database_id": "<string>",
"balance_available": "<string>",
"last_synced_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"connection": "<unknown>",
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"transfer_links": [
{
"id": "<string>",
"financial_account_id": "<string>",
"destination_type": "<string>",
"destination_id": "<string>",
"transfer_start_date": "2025-01-01",
"active": "<string>",
"sync_mode": "<string>",
"on_booked_change": {
"update_status": "<string>",
"update_payee": "<string>",
"update_description": "<string>",
"update_amount": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>",
"financial_account": {
"id": "<string>",
"enabled": "<string>",
"integrator": "<string>",
"account_category": "<string>",
"raw_type": "<string>",
"cash_balance": {
"amount": "<string>",
"currency": "<string>"
},
"total_balance": {
"amount": "<string>",
"currency": "<string>"
},
"meta": "<string>",
"name": "<string>",
"custom_name": "<string>",
"display_name": "<string>",
"currency": "<string>",
"product_name": "<string>",
"cash_account_type": "<string>",
"account_usage": "<string>",
"linked_accounts": "<string>",
"details": "<string>",
"details_last_synced_at": "<string>",
"transactions_last_synced_at": "<string>",
"transactions_backfill_cursor": "<string>",
"balances_last_synced_at": "<string>",
"balance": {
"available": "<string>",
"cleared": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>",
"financial_connection_id": "<string>",
"financial_connection": {
"id": "<string>",
"institution_id": "<string>",
"region": "<string>",
"enabled": "<string>",
"status": "<string>",
"status_message": "<string>",
"sync_balances": "<string>",
"supports_reauthorization": true,
"supports_manage": true,
"max_historical_days": "<string>",
"access_valid_for_days": "<string>",
"consent_expires_at": "<string>",
"reference": "<string>",
"accounts_last_synced_at": "<string>",
"setup_pending": true,
"setup_renewal": "<string>",
"activated_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"institution": {
"id": "<string>",
"integrator": "<string>",
"region": "<string>",
"country": "<string>",
"name": "<string>",
"bic": "<string>",
"external_id": "<string>",
"logo": "<string>",
"supported": "<string>",
"supports_pending_transactions": "<string>",
"supports_card_accounts": "<string>",
"max_historical_days": "<string>",
"max_access_valid_for_days": "<string>",
"supported_products": "<string>",
"category": "<string>",
"updated_at": "<string>"
},
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"financial_accounts": "<array>",
"financial_accounts_count": "<string>"
},
"config": {
"map_fields": {
"payee": "<string>",
"description": "<string>",
"date": "<string>"
},
"enrichment": {
"enabled": "<string>",
"provider": "<string>",
"country": "<string>"
},
"sync_start_date": "2025-01-01",
"sync_auto": "<string>",
"sync_pending_transactions": "<string>",
"pending_settlement_matching": "<string>",
"pending_settlement_max_days": "<string>",
"fuzzy_counterparty_matching": "<string>",
"fuzzy_counterparty_min_chars": "<string>",
"sync_balances": "<string>",
"sync_frequency_in_minutes": "<string>",
"fields_for_duplicate_filtering": [
"<string>"
]
},
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"account_number_masked": "<string>",
"bban": "<string>",
"scan": "<string>",
"iban": "<string>",
"bic": "<string>",
"owner_name": "<string>",
"owner_address": "<string>",
"msisdn": "<string>",
"integrator_id": "<string>",
"institution_id": "<string>",
"rules": [
{
"order": 123,
"rule": {}
}
],
"transfer_links": "<array>",
"transfer_links_count": "<string>"
},
"destination": {
"id": "<string>",
"budget_id": "<string>",
"ynab_id": "<string>",
"name": "<string>",
"type": "<string>",
"on_budget": "<string>",
"closed": "<string>",
"note": "<string>",
"balance": "<string>",
"cleared_balance": "<string>",
"uncleared_balance": "<string>",
"transfer_payee_id": "<string>",
"direct_import_linked": "<string>",
"last_reconciled_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"budget": {
"id": "<string>",
"connection_id": "<string>",
"ynab_id": "<string>",
"enabled": "<string>",
"name": "<string>",
"currency": "<string>",
"first_month": "<string>",
"last_month": "<string>",
"last_synced_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"connection": {
"id": "<string>",
"name": "<string>",
"enabled": "<string>",
"sync_balances": "<string>",
"ynab_user_id": "<string>",
"last_synced_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"auth_url": "<string>",
"budgets": "<array>"
},
"accounts": "<array>"
},
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"transfer_links": "<array>"
},
"rules": [
{
"order": 123,
"rule": {}
}
]
}
]
}
]
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Create new Notion connection
Synci generates an authorization URL (auth_url). Follow it to authorize Synci in your Notion workspace: pick the pages Synci may write to, or duplicate the Synci template. Once authorized, register destination databases and link them to financial accounts.
POST
/
destinations
/
notion
/
connections
Create new Notion connection
curl --request POST \
--url https://api.synci.io/api/v1/destinations/notion/connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.synci.io/api/v1/destinations/notion/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.synci.io/api/v1/destinations/notion/connections"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.synci.io/api/v1/destinations/notion/connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.synci.io/api/v1/destinations/notion/connections"
payload := strings.NewReader("{\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Connection created. Follow the URL to start the authentication process with Notion.",
"data": {
"auth_url": "<string>",
"notion_connection": {
"id": "<string>",
"name": "<string>",
"enabled": "<string>",
"workspace_id": "<string>",
"workspace_name": "<string>",
"workspace_icon": "<string>",
"owner_email": "<string>",
"duplicated_template_id": "<string>",
"last_synced_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"auth_url": "<string>",
"databases": [
{
"id": "<string>",
"connection_id": "<string>",
"name": "<string>",
"title": "<string>",
"database_id": "<string>",
"data_source_id": "<string>",
"database_url": "<string>",
"parent_page_id": "<string>",
"parent_page_title": "<string>",
"is_synci_managed": "<string>",
"layout": "<string>",
"header_config": "<string>",
"property_map": "<string>",
"accounts_database_id": "<string>",
"categories_database_id": "<string>",
"months_database_id": "<string>",
"balance_history_database_id": "<string>",
"balance_available": "<string>",
"last_synced_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"connection": "<unknown>",
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"transfer_links": [
{
"id": "<string>",
"financial_account_id": "<string>",
"destination_type": "<string>",
"destination_id": "<string>",
"transfer_start_date": "2025-01-01",
"active": "<string>",
"sync_mode": "<string>",
"on_booked_change": {
"update_status": "<string>",
"update_payee": "<string>",
"update_description": "<string>",
"update_amount": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>",
"financial_account": {
"id": "<string>",
"enabled": "<string>",
"integrator": "<string>",
"account_category": "<string>",
"raw_type": "<string>",
"cash_balance": {
"amount": "<string>",
"currency": "<string>"
},
"total_balance": {
"amount": "<string>",
"currency": "<string>"
},
"meta": "<string>",
"name": "<string>",
"custom_name": "<string>",
"display_name": "<string>",
"currency": "<string>",
"product_name": "<string>",
"cash_account_type": "<string>",
"account_usage": "<string>",
"linked_accounts": "<string>",
"details": "<string>",
"details_last_synced_at": "<string>",
"transactions_last_synced_at": "<string>",
"transactions_backfill_cursor": "<string>",
"balances_last_synced_at": "<string>",
"balance": {
"available": "<string>",
"cleared": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>",
"financial_connection_id": "<string>",
"financial_connection": {
"id": "<string>",
"institution_id": "<string>",
"region": "<string>",
"enabled": "<string>",
"status": "<string>",
"status_message": "<string>",
"sync_balances": "<string>",
"supports_reauthorization": true,
"supports_manage": true,
"max_historical_days": "<string>",
"access_valid_for_days": "<string>",
"consent_expires_at": "<string>",
"reference": "<string>",
"accounts_last_synced_at": "<string>",
"setup_pending": true,
"setup_renewal": "<string>",
"activated_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"institution": {
"id": "<string>",
"integrator": "<string>",
"region": "<string>",
"country": "<string>",
"name": "<string>",
"bic": "<string>",
"external_id": "<string>",
"logo": "<string>",
"supported": "<string>",
"supports_pending_transactions": "<string>",
"supports_card_accounts": "<string>",
"max_historical_days": "<string>",
"max_access_valid_for_days": "<string>",
"supported_products": "<string>",
"category": "<string>",
"updated_at": "<string>"
},
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"financial_accounts": "<array>",
"financial_accounts_count": "<string>"
},
"config": {
"map_fields": {
"payee": "<string>",
"description": "<string>",
"date": "<string>"
},
"enrichment": {
"enabled": "<string>",
"provider": "<string>",
"country": "<string>"
},
"sync_start_date": "2025-01-01",
"sync_auto": "<string>",
"sync_pending_transactions": "<string>",
"pending_settlement_matching": "<string>",
"pending_settlement_max_days": "<string>",
"fuzzy_counterparty_matching": "<string>",
"fuzzy_counterparty_min_chars": "<string>",
"sync_balances": "<string>",
"sync_frequency_in_minutes": "<string>",
"fields_for_duplicate_filtering": [
"<string>"
]
},
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"account_number_masked": "<string>",
"bban": "<string>",
"scan": "<string>",
"iban": "<string>",
"bic": "<string>",
"owner_name": "<string>",
"owner_address": "<string>",
"msisdn": "<string>",
"integrator_id": "<string>",
"institution_id": "<string>",
"rules": [
{
"order": 123,
"rule": {}
}
],
"transfer_links": "<array>",
"transfer_links_count": "<string>"
},
"destination": {
"id": "<string>",
"budget_id": "<string>",
"ynab_id": "<string>",
"name": "<string>",
"type": "<string>",
"on_budget": "<string>",
"closed": "<string>",
"note": "<string>",
"balance": "<string>",
"cleared_balance": "<string>",
"uncleared_balance": "<string>",
"transfer_payee_id": "<string>",
"direct_import_linked": "<string>",
"last_reconciled_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"budget": {
"id": "<string>",
"connection_id": "<string>",
"ynab_id": "<string>",
"enabled": "<string>",
"name": "<string>",
"currency": "<string>",
"first_month": "<string>",
"last_month": "<string>",
"last_synced_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"connection": {
"id": "<string>",
"name": "<string>",
"enabled": "<string>",
"sync_balances": "<string>",
"ynab_user_id": "<string>",
"last_synced_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"auth_url": "<string>",
"budgets": "<array>"
},
"accounts": "<array>"
},
"health": {
"status": "<string>",
"integrator_message": "<string>",
"failure_count": "<string>",
"transient_message": "<string>",
"transient_failure_count": "<string>",
"last_attempt_at": "<string>"
},
"transfer_links": "<array>"
},
"rules": [
{
"order": 123,
"rule": {}
}
]
}
]
}
]
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
oauth2http
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Optional display name for the connection.
Maximum string length:
255